<div class="container">
  <div class="page-header">
    <h1><%= @device.name %></h1>
  </div>
</div>
<div class="container">
  <table class="table table-striped">
    <thead>
    <tr>
      <th class="text-center">Description</th>
      <th class="text-center">Device Model</th>
    </tr>
    </thead>
      <tr>
        <td><%= @device.description %></td>
        <td><%= @device.device_model.name %></td>
      </tr>
  </table>
  <h4>Latest Datapoints</h4>
  <table class="table table-striped">
    <thead>
    <tr>
      <th class="text-center">Data Point Defintion Name</th>
      <th class="text-center">Latest Value</th>
      <th class="text-center">Date</th>
      <th class="text-center">Detailed Chart</th>
    </tr>
    </thead>
    <% @latest_data_points_hash.each_pair do |key,value| %>
      <tr>
        <td><%= key %></td>
        <td><%= value.value %></td>
        <td><%= value.created_at %></td>
        <td><%= link_to "Details", data_point_visualisation_path(value.definition_id), class: 'label label-success'%></td>
      </tr>
    <% end %>
  </table>

</div>
<div class="container">
  <%= link_to 'Back', location_path, class: 'label label-primary' %>
</div>